<?php

$config['version_id'] = "8.0";
$config['allow_smart_video'] = "0";
$config['allow_search_print'] = "1";
$config['allow_search_link'] = "1";
$config['allow_smart_format'] = "1";

$tableSchema = array();

// Start Full Pack Added (DatalifeEngine.iR)

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_linklogo";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_linklogo (
  `id` int(11) NOT NULL auto_increment,
  `logo` varchar(255) NOT NULL default '',
  `link` varchar(255) NOT NULL default '',
  `icq` varchar(255) NOT NULL default '',
  `mail` varchar(255) NOT NULL default '',
  `posit` smallint(5) NOT NULL default '1',
  `description` varchar(255) default NULL,
  `bold` char(1) NOT NULL default '',
  `color` varchar(6) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET cp1251 COLLATE cp1251_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_linklogo_setting";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_linklogo_setting (
  `id` varchar(5) NOT NULL default '',
  `text` text character set cp1251 NOT NULL,
  `showchecked` varchar(5) NOT NULL default ''
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET cp1251 COLLATE cp1251_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_users_filter";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_users_filter (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `type` tinyint(1) NOT NULL default '1',
  `word` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_bazdid2";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_bazdid2 (
  `ip` varchar(16) NOT NULL default '',
  `last` int(10) unsigned NOT NULL default '0',
  `name` varchar(40) NOT NULL default ''
) ENGINE=MYISAM";

	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_bazdid2_week";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_bazdid2_week (
  `1` mediumint(8) unsigned NOT NULL default '0',
  `2` mediumint(8) unsigned NOT NULL default '0',
  `3` mediumint(8) unsigned NOT NULL default '0',
  `4` mediumint(8) unsigned NOT NULL default '0',
  `5` mediumint(8) unsigned NOT NULL default '0',
  `6` mediumint(8) unsigned NOT NULL default '0',
  `0` mediumint(8) unsigned NOT NULL default '0',
  `day` enum('1','2','3','4','5','6','0') NOT NULL default '1'
) ENGINE=MYISAM";

	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_complaints_news";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_complaints_news (
  `id` int(11) NOT NULL auto_increment,
  `post` int(11) NOT NULL default '0',
  `user` varchar(40) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_hte_antispam";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_hte_antispam (
  `id_spam` int(11) NOT NULL auto_increment,
  `ip` varchar(20) NOT NULL default '',
  `coockie` text NOT NULL,
  `dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` int(1) NOT NULL default '0',
  `post` text NOT NULL,
  PRIMARY KEY  (`id_spam`)
) ENGINE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_photo_alboms";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_photo_alboms (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(45) character set ascii NOT NULL,
  `des` varchar(255) character set ascii NOT NULL,
  `date` datetime default NULL,
  `photos` varchar(9) character set ascii default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";


$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_photo_comm";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_photo_comm (
  `cid` int(8) NOT NULL auto_increment,
  `pid` int(8) NOT NULL,
  `name` varchar(55) character set ascii NOT NULL,
  `email` varchar(55) character set ascii NOT NULL,
  `text` varchar(500) character set ascii NOT NULL,
  `date` datetime NOT NULL,
  `ip` varchar(80) character set ascii NOT NULL,
  `user` varchar(80) character set ascii NOT NULL,
  `aid` int(8) NOT NULL,
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";


$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_photo_post";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_photo_post (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(80) character set ascii NOT NULL,
  `des` varchar(512) character set ascii NOT NULL,
  `date` datetime NOT NULL,
  `comms` varchar(9) character set ascii default '0',
  `author` varchar(45) character set ascii NOT NULL,
  `albom` varchar(9) character set ascii NOT NULL default '0',
  `file` varchar(50) character set ascii NOT NULL default '',
  `ip` varchar(25) character set ascii NOT NULL,
  `look` varchar(45) character set ascii NOT NULL default '0',
  `tegs` varchar(500) character set ascii NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_log";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_log (
  `id` int(11) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `user` varchar(100) default NULL,
  `desc` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_spam_pm";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_spam_pm (
  `id` int(10) unsigned NOT NULL auto_increment,
  `subj` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  `user` mediumint(8) NOT NULL default '0',
  `user_from` varchar(50) NOT NULL default '',
  `date` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `user` (`user`),
  KEY `user_from` (`user_from`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_online";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_online (
	`uid` int(10) unsigned NOT NULL default '0',
	`session` char(32) NOT NULL,
	`lastdate` int(10) unsigned NOT NULL default '0',
	`location` varchar(255) NOT NULL,
	`useragent` char(100) NOT NULL,
	`ip` char(15) default NULL,
	`proxy` char(15) default NULL,
	PRIMARY KEY  (`session`),
	KEY `idx` (`uid`)
	) ENGINE=MyISAM;";
	
	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_order";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_order (
 	 `id` tinyint(3) unsigned NOT NULL auto_increment,
 	 `name` varchar(10) NOT NULL default '',
 	 `template` text NOT NULL,
 	 PRIMARY KEY  (`id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";
 	 
 	 $tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_shop";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_shop (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(255) NOT NULL default '',
  `date` varchar(20) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `shops_desc` text NOT NULL,
  `price` varchar(100) NOT NULL default '',
  `shop` varchar(100) NOT NULL default '',
  `allow_main` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_shop_category";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_shop_category (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `posi` tinyint(4) NOT NULL default '0',
  `alt_name` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `keywords` text,
  `description` varchar(200) NOT NULL default '',
  `stuff_num` varchar(6) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_shop_template";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_shop_template (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `name` varchar(10) NOT NULL default '',
  `template` text NOT NULL,
  PRIMARY KEY  (`id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";
 	 
$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_shop_logs";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_shop_logs (
  `id` int(10) unsigned NOT NULL auto_increment,
  `shops_id` int(10) NOT NULL default '0',
  `member` varchar(40) NOT NULL default '',
  `ip` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `news_id` (`shops_id`),
  KEY `member` (`member`),
  KEY `ip` (`ip`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_shopbox";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_shopbox (
  `id` int(10) unsigned NOT NULL auto_increment,
  `shops_id` int(10) NOT NULL default '0',
  `member` varchar(40) NOT NULL default '',
  `page` varchar(40) NOT NULL default '',
  `descr` varchar(90) NOT NULL default '',
  `from_user` varchar(60) NOT NULL default '',
  `ip` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `news_id` (`shops_id`),
  KEY `member` (`member`),
  KEY `ip` (`ip`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";
 	 
$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_referer";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_referer (
  `id` int(11) NOT NULL auto_increment,
  `referer` varchar(255) NOT NULL default '',
  `date` varchar(20) default NULL,
  `host` varchar(255) NOT NULL default '',
  `hits` smallint(10) default '0',
  `request` text NOT NULL,
  `uri` varchar(255) NOT NULL default '',
  `position` text NOT NULL,
  `user_ip` varchar(100) NOT NULL default '',
  `type` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";
 	 
	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_toplist";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_toplist (
	`id` INT( 6 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	`name` VARCHAR( 255 ) NOT NULL ,
	`link` VARCHAR( 255 ) NOT NULL ,
	`type` VARCHAR( 255 ) NOT NULL ,
	`icon` VARCHAR( 255 ) NOT NULL,
	`place` INT(3) NOT NULL
	) ENGINE=MYISAM;";
	
	$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_notes";
	$tableSchema[] = "CREATE TABLE " . PREFIX . "_notes (
`user_id` int(11) NOT NULL default '0',
`text` text NOT NULL,
PRIMARY KEY  (`user_id`)
 	 ) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

// End Full Pack Added (DatalifeEngine.iR)

$tableSchema[] = "DROP TABLE IF EXISTS " . PREFIX . "_post_log";
$tableSchema[] = "CREATE TABLE " . PREFIX . "_post_log (
  `id` INT(11) NOT NULL auto_increment,
  `news_id` INT(11) NOT NULL default '0',
  `expires` varchar(15) NOT NULL default '',
  `action` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `news_id` (`news_id`),
  KEY `expires` (`expires`)
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS `" . PREFIX . "_points`;";
$tableSchema[] = "CREATE TABLE `" . PREFIX . "_points` (
  `name` varchar(55) NOT NULL default '',
  `date` varchar(55) NOT NULL default '',
  `b` char(1) NOT NULL default '',
  `i` char(1) NOT NULL default '',
  `u` char(1) NOT NULL default '',
  `glow` char(1) NOT NULL default '',
  `color` char(1) NOT NULL default '',
  `colorcode` varchar(6) NOT NULL default '',
  `glowcode` varchar(6) NOT NULL default '',
  `gived` char(1) NOT NULL default '',
  `giveto` varchar(55) NOT NULL default '',
  `givepoint` varchar(8) NOT NULL default '',
  `invisible` char(1) NOT NULL default '',
  `reflection` char(1) NOT NULL default '',
  `gift` char(1) NOT NULL default '',
  `giftto` varchar(100) NOT NULL default ''
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "DROP TABLE IF EXISTS `" . PREFIX . "_points_gifts`;";
$tableSchema[] = "CREATE TABLE `" . PREFIX . "_points_gifts` (
  `date` varchar(44) NOT NULL default '',
  `name` varchar(100) character set cp1251 NOT NULL default '',
  `description` varchar(255) character set cp1251 NOT NULL default '',
  `image` varchar(255) character set cp1251 NOT NULL default '',
  `tavasot` varchar(100) character set cp1251 NOT NULL default ''
) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET " . COLLATE . " COLLATE " . COLLATE . "_general_ci */";

$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_addnews` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_editnews` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_comments` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_categories` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_editusers` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_wordfilter` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_xfields` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_userfields` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_static` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_editvote` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_newsletter` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_blockip` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_banners` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_rss` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_iptools` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_rssinform` TINYINT( 1 ) NOT NULL DEFAULT '0'";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_usergroups` ADD `admin_googlemap` TINYINT( 1 ) NOT NULL DEFAULT '0'";

$tableSchema[] = "UPDATE " . PREFIX . "_usergroups SET admin_addnews='1', admin_editnews='1', admin_comments='1', admin_categories='1', admin_editusers='1', admin_wordfilter='1', admin_xfields='1', admin_userfields='1', admin_static='1', admin_editvote='1', admin_newsletter='1', admin_blockip='1', admin_banners='1', admin_rss='1', admin_iptools='1', admin_rssinform='1', admin_googlemap='1' WHERE id='1'";
$tableSchema[] = "UPDATE " . PREFIX . "_usergroups SET admin_addnews='1', admin_editnews='1', admin_wordfilter='1' WHERE id='2'";
$tableSchema[] = "UPDATE " . PREFIX . "_usergroups SET admin_addnews='1', admin_editnews='1' WHERE id='3'";


$tableSchema[] = "ALTER TABLE `" . PREFIX . "_static` ADD `metatitle` VARCHAR( 255 ) NOT NULL DEFAULT ''";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_post` DROP `expires`";
$tableSchema[] = "ALTER TABLE `" . PREFIX . "_post` ADD `metatitle` VARCHAR( 255 ) NOT NULL DEFAULT ''";

// Start Full Pack Added (DatalifeEngine.iR)

$tableSchema[] = "INSERT INTO " . PREFIX . "_shop_template values (1, 'buy_mail', 'سلام {%username_to%},\r\n يک سفارش جديد براي شما ارسال شده است.\r\n\r\n مشخصات مشتري:\r\n نام و نام خانوداگي: {%namfamil%} \r\n تلفن: {%subject%} \r\n آدرس: {%text%} \r\n\r\n فهرست کالاهي انتخاب شده براي خريد: {%buylist%}')";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `viewers` TEXT";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `views` INT ( 11 ) DEFAULT '0'";
$tableSchema[] = "INSERT INTO " . PREFIX . "_order VALUES (1, 'order', 'ایمیل: {%email%}\r\nآی پی: {%ip%}\r\n--------------\r\nنام: {%name%}\r\nفامیل: {%famil%}\r\nایمیل: {%email%}\r\nتلفن: {%telephone%}\r\nاستان: {%city%}\r\nشهر: {%city2%}\r\nآدرس: {%address%}\r\nکد پستی: {%post%}\r\nمقدار هاست: {%host%}\r\nنوع هاست: {%host2%}\r\nميزان پهناي باند: {%bw%}\r\nدامنه: {%domain%}\r\nآدرس دامنه: {%domain2%}\r\nتوضیحات: {%text%}')";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `country` VARCHAR( 50 ) NOT NULL AFTER `land` , ADD `city` VARCHAR( 50 ) NOT NULL AFTER `country` , ADD `useragent` CHAR( 100 ) NOT NULL AFTER `hash` , ADD `logged_proxy` CHAR( 15 ) NOT NULL AFTER `logged_ip` , ADD `location` VARCHAR( 255 ) NOT NULL";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo VALUES ('1', 'http://syarashtools.com/Logo-Jadid.jpg', 'http://Tarahestan.Net/', '', 'syarashtools@gmail.com', '0', 'Full & Free Downloads !', '', '1176CC')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('1', 'برای تبادل لوگو با ما باید رنک گوگل شما بیشتر از 3 باشد.', '1')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('2', 'برای اضافه کردن لوگوی خود با مدیر سایت تماس بگیرید', '')";
$tableSchema[] = "INSERT INTO " . PREFIX . "_linklogo_setting VALUES ('3', '', '')";

$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `points` int( 6 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `color` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `colorcode` varchar( 6 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `glow` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `glowcode` varchar( 6 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `b` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `i` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `u` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `invisible` char( 1 ) DEFAULT '0' NOT NULL";
$tableSchema[] = "ALTER TABLE " . PREFIX . "_users ADD `reflection` char( 1 ) DEFAULT '0' NOT NULL";

// End Full Pack Added (DatalifeEngine.iR)


foreach($tableSchema as $table) {
	$db->query ($table);
}


$handler = fopen(ENGINE_DIR.'/data/config.php', "w") or die("سيستم نمي تواند متني را در فايل <b>.engine/data/config.php</b> ذخيره کند.<br />لطفاً سطح دسترسي اين فايل را به 777 تغيير بدين.!");
fwrite($handler, "<?PHP \n\n//System Configurations\n\n\$config = array (\n\n");
foreach($config as $name => $value)
{
	fwrite($handler, "'{$name}' => \"{$value}\",\n\n");
}
fwrite($handler, ");\n\n?>");
fclose($handler);


@unlink(ENGINE_DIR.'/cache/system/usergroup.php');
@unlink(ENGINE_DIR.'/cache/system/vote.php');
@unlink(ENGINE_DIR.'/cache/system/banners.php');
@unlink(ENGINE_DIR.'/cache/system/category.php');
@unlink(ENGINE_DIR.'/cache/system/banned.php');
@unlink(ENGINE_DIR.'/cache/system/cron.php');
@unlink(ENGINE_DIR.'/data/snap.db');

clear_cache();

if ($db->error_count) $error_info = "Error: <b>".$db->query_num."</b> Υ䥠쯱졢찮쮨㼠衯ᯱ <b>".$db->error_count."</b>. î譮箮 ﮨ 䧥 㼯שּׂ殻 ᡭ楮"; else $error_info = "";

msgbox("info","اطلاعات", "<form action=\"index.php\" method=\"GET\">بروزرساني ديتابيس با تبديل نسخه از <b>7.3</b> به <b>7.5</b> با موفقيت به پايان رسيد.<br />لطفاً براي ادامه ي پردازش ها روي دکمه ي \" ادامه \" کليک کنيد.<br /><br /><input type=\"hidden\" name=\"next\" value=\"7.3\"><input class=\"edit\" type=\"submit\" value=\"ادامه...\"></form>");
?>